"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const fs_1 = __importDefault(require("fs"));
const createTaskDefinition_1 = __importDefault(require("./createTaskDefinition"));
const updateECSService_1 = __importDefault(require("./updateECSService"));
async function main(name, loc, env) {
    const f = fs_1.default.readFileSync(`${loc}/stack.json`, { encoding: 'utf8' });
    const stack = JSON.parse(f);
    try {
        await createTaskDefinition_1.default(stack, name, env);
    }
    catch (e) {
        console.log(`Problem with Taskdef: ${e.message}`);
        return;
    }
    try {
        await updateECSService_1.default(stack, name, env);
    }
    catch (e) {
        console.log(`Problem updating service: ${e.message}`);
    }
}
exports.default = main;
//# sourceMappingURL=index.js.map